@page modelLoading Model Loading

TODO


## High Level Overview





## Major Usage Notes
 - Global pretransforms are applied to the global inverse bind pose matrix












## Main Classes

[CollisionEngine.java](@ref #electrosphere.collision.CollisionEngine) - Represents a specific collision system. It may be helpful to think of it as viewing the world through a specific lens. Keeps track of all entities that do its type of collisions and fires callbacks on collision. Should be updated each tick.









## Library Explanation









## Code Organization and Best Practices

#### Startup


#### Usage











## Terminology













## Future Goals
